> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowla.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Room Completed Events

> List events triggered when a room is marked as completed.

## Endpoints

| Method | Path                            | Description                |
| ------ | ------------------------------- | -------------------------- |
| `GET`  | `/api/v2/room-completed-events` | List room completed events |

***

## List room completed events

`GET /api/v2/room-completed-events`

Returns events for rooms that have been completed in your organization.

### Query parameters

<ParamField query="page" type="number">
  Page number (default: 1).
</ParamField>

<ParamField query="limit" type="number">
  Results per page (default: 10).
</ParamField>

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://api.flowla.com/api/v2/room-completed-events?page=1&limit=20" \
    -H "x-flowla-api-key: YOUR_API_KEY"
  ```

  ```python Python theme={null}
  import requests

  response = requests.get(
      "https://api.flowla.com/api/v2/room-completed-events",
      headers={"x-flowla-api-key": "YOUR_API_KEY"},
      params={"page": 1, "limit": 20},
  )
  print(response.json())
  ```

  ```js JavaScript theme={null}
  const res = await fetch(
    "https://api.flowla.com/api/v2/room-completed-events?page=1&limit=20",
    { headers: { "x-flowla-api-key": "YOUR_API_KEY" } }
  );
  const events = await res.json();
  ```
</CodeGroup>

### Response fields

| Field            | Type   | Description                         |
| ---------------- | ------ | ----------------------------------- |
| `flowId`         | string | Room identifier                     |
| `flowTitle`      | string | Room title                          |
| `flowOwnerEmail` | string | Email of the room owner             |
| `flowOwnerName`  | string | Name of the room owner              |
| `linkAnalytics`  | string | Direct link to the room's analytics |
| `linkEditView`   | string | Direct link to edit the room        |
| `linkLiveView`   | string | Direct link to the live room view   |

<Note>
  You can also register a webhook to be notified in real time when a room is completed. See [Webhooks](/api/webhooks).
</Note>
